aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-10-19 23:59:50 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-10-20 00:00:33 +1300
commitda0f0bcae9985c666d2bb95ba0fccb7489815914 (patch)
treedaf91fcd30c6114cef0d009943437d15e24a6db5 /bin
parentRemove some trailing whitespace (diff)
downloaddotfiles-da0f0bcae9985c666d2bb95ba0fccb7489815914.tar.gz
dotfiles-da0f0bcae9985c666d2bb95ba0fccb7489815914.zip
Add -p to the command path search for shb(1df)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/shb2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/shb b/bin/shb
index 49894b0f..8f458ff1 100755
--- a/bin/shb
+++ b/bin/shb
@@ -14,7 +14,7 @@ scr=$1 intn=$2
shift 2
# Try and find the path to the interpreter command, bail out if we can't
-if ! intp=$(command -v "$intn" 2>/dev/null) ; then
+if ! intp=$(command -pv "$intn" 2>/dev/null) ; then
printf >&2 '%s: %s: command not found\n' "$self" "$intn"
exit 1
fi